//
// calyxos.org specific overrides applied to the design-system css
//

//
// GRID
//

// a more narrow max width for the content area
.wrapper {
  max-width: var(--grid-max-width);
}

// less space below intro
.secondaryIntro {
  margin-bottom: var(--spacing-xxlarge) !important;
}

// margin instead of padding for gutters
// fixed size widths are bad
.contentRowContent .contentItem {
  padding: 0;
  margin: 0 var(--spacing-medium);
  width: 50%;
}

// erase the gutter width on the left and right ends.
// this makes multi column content align with single column content
.contentRowContent {
  margin-left: calc(-1 * var(--spacing-medium));
  margin-right: calc(-1 * var(--spacing-medium));
}

//
// HEADER
//

// fix absolute path for burger stack
@media (prefers-color-scheme: light) {
  .navbar-toggle {
    background-image: url("../images/lm-icon-menu.png");
  }
}
@media (prefers-color-scheme: dark) {
  .navbar-toggle {
    background-image: url("../images/dm-icon-menu.png");
  }
}

// make the intro padding less extreme & better align the h1
.secondaryIntro {
  padding-top: calc(1.5 * var(--spacing-xxlarge)) !important;
  padding-bottom: calc(1.5 * var(--spacing-xxlarge)) !important;
  h1 {
    margin: 0;
    & + p {
      margin-top: 1em;
    }
  }
}

// use outline for the highlight padding, because it creates
// a nice even border for the irregular shape of the <span>.
.secondaryIntro, .intro {
  h1 {
    margin-left: 12px;
  }
  .highlighter {
    line-height: 1em;
    outline: 12px solid var(--calyx-light);

    // chrome rendering of outline is bad at small screen sizes.
    // this sort of fixes it
    padding: 1px;
    text-decoration: underline;
    text-underline-offset: 7px;
    text-decoration-color: var(--calyx-light);
  }
}

// this makes firefox look more like the chrome render
@supports (-moz-appearance:none) {
  .secondaryIntro {
    .highlighter {
      line-height: 1.4em;
      padding: 8px 0 0 0;
    }
  }
}

.intro.withImage.wrapper {
  background-size: 32% !important;
  background-position-x: calc(100% - var(--spacing-xlarge)) !important;
  background-position-y: 45% !important;
  padding-top: var(--spacing-xlarge);
  padding-bottom: var(--spacing-xlarge);
}

.intro h1 {
  width: 100%;
}
.intro.withImage > div {
  width: 65%;
}

//
// FOOTER
//

footer {
  padding-bottom: 0 !important;
}

//
// TYPOGRAPHY
//

// the margins on h3 and h4 are extreme and not good for technical pages.
// no other pages use such nested headings anyway.
h3 {
  margin-top: var(--spacing-xlarge) !important;
  max-width: inherit;
}
h4 {
  margin-top: var(--spacing-medium) !important;
  max-width: inherit;
}
h5 {
  margin-bottom: 1rem;
}

// if the first element in content area is a heading, it should not have a top margin.
.content > h1:first-child, .content > h2:first-child, .content > h3:first-child {
  margin-top: 0;
}

// remove max-width of p
// add back the normal default bottom margin.
p {
  max-width: inherit !important;
  margin-top: 0;
  margin-bottom: 1rem;
}

// adding top margin to p+p works for body text, but does not work
// when mixing paragraphs with code blocks and tables and lists
p + p {
  margin-top: 0 !important;
}

// keep tables the same size as the body text
table {
  font-size: var(--font-size-body);
}

// remove max-width on li
li {
  max-width: inherit !important;
}

// all links should not have a line height set, but just use the line height of the block.
a {
  line-height: unset;
}

//
// CODE
//

// reset code styles, use rouge highlighter instead
code {
  color: inherit;
  background-color: inherit;
  padding: inherit;
  border-radius: inherit;
  font-family: inherit;
  width: inherit;
  font-size: inherit;
  border: inherit;
}
pre.highlight, div.highlight {
  border-radius: inherit;
  padding: inherit;
}

@media (prefers-color-scheme: light) {
  .highlight {
    color: inherit;
    background-color: inherit;
    border-radius: inherit;
    padding: inherit;
  }
  code {
    color: inherit;
    background-color: inherit;
    border: inherit;
  }
}
@media (prefers-color-scheme: dark) {
  .highlight {
    color: inherit;
    background-color: inherit;
    border-radius: inherit;
    padding: inherit;
  }
  code {
    color: inherit;
    background-color: inherit;
    border: inherit;
  }
}
